aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2010-04-21 18:16:24 +0200
committerSven Gothel <[email protected]>2010-04-21 18:16:24 +0200
commit2cb8c65600a1c8cd1b3ea1386b5f1359390f1ccd (patch)
treebfb0b50439e85ea4b1e7d0d92fd7a7d979651254
parenta122927789d2e19fe753c71110c104ef872042bc (diff)
Add deployment scripts ..
-rwxr-xr-xmake/scripts/all-deploy-webstarttest.sh38
-rwxr-xr-xmake/scripts/deploy-jars_external-webstarttest.sh26
2 files changed, 64 insertions, 0 deletions
diff --git a/make/scripts/all-deploy-webstarttest.sh b/make/scripts/all-deploy-webstarttest.sh
new file mode 100755
index 000000000..0904ac233
--- /dev/null
+++ b/make/scripts/all-deploy-webstarttest.sh
@@ -0,0 +1,38 @@
+#! /bin/sh
+
+if [ ! -e scripts -o ! -e ../make ] ; then
+ echo start this script from JOGL/jogl/make
+ exit 1
+fi
+
+url=$1
+shift
+
+joglbuilddir=$1
+shift
+
+wsdir=$1
+shift
+
+if [ -z "$url" -o -z "$joglbuilddir" -o -z "$wsdir" ] ; then
+ echo Usage $0 codebase-url jogl-builddir webstartdir
+ echo Examples
+ echo sh scripts/all-deploy-webstarttest.sh file:////usr/local/projects/JOGL/webstart ../build-x86_64 ../../webstart
+ echo sh scripts/all-deploy-webstarttest.sh http://domain.org/jogl/webstart ../build-win32 ../../webstart
+ exit 1
+fi
+
+if [ ! -e $joglbuilddir ] ; then
+ echo $joglbuilddir does not exist
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+sh scripts/deploy-jars-webstarttest.sh $joglbuilddir $wsdir
+# sh scripts/deploy-jars-webstarttest_pack200.sh $wsdir
+sh scripts/deploy-jnlp-webstarttest.sh $url $joglbuilddir $wsdir
+sh scripts/deploy-jnlp-webstarttest-filter.sh $wsdir
diff --git a/make/scripts/deploy-jars_external-webstarttest.sh b/make/scripts/deploy-jars_external-webstarttest.sh
new file mode 100755
index 000000000..3fc1daa51
--- /dev/null
+++ b/make/scripts/deploy-jars_external-webstarttest.sh
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+if [ ! -e scripts -o ! -e ../make ] ; then
+ echo start this script from JOGL/jogl/make
+ exit 1
+fi
+
+SOURCE=$1
+shift
+
+wsdir=$1
+shift
+
+if [ -z "$SOURCE" -o -z "$wsdir" ] ; then
+ echo usage $0 source webstartdir
+ echo source might be [email protected]:webstart/
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+echo scp -v $SOURCE*natives* $wsdir
+scp -v $SOURCE*natives* $wsdir